package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevHoseBox;

/**
 * 消防水带箱检查记录Service接口
 * 
 * @author admin
 * @date 2023-10-31
 */
public interface ITDevHoseBoxService 
{
    /**
     * 查询消防水带箱检查记录
     * 
     * @param id 消防水带箱检查记录主键
     * @return 消防水带箱检查记录
     */
    public TDevHoseBox selectTDevHoseBoxById(Long id);

    /**
     * 查询消防水带箱检查记录列表
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 消防水带箱检查记录集合
     */
    public List<TDevHoseBox> selectTDevHoseBoxList(TDevHoseBox tDevHoseBox);

    /**
     * 新增消防水带箱检查记录
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 结果
     */
    public int insertTDevHoseBox(TDevHoseBox tDevHoseBox);

    /**
     * 修改消防水带箱检查记录
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 结果
     */
    public int updateTDevHoseBox(TDevHoseBox tDevHoseBox);

    /**
     * 批量删除消防水带箱检查记录
     * 
     * @param ids 需要删除的消防水带箱检查记录主键集合
     * @return 结果
     */
    public int deleteTDevHoseBoxByIds(Long[] ids);

    /**
     * 删除消防水带箱检查记录信息
     * 
     * @param id 消防水带箱检查记录主键
     * @return 结果
     */
    public int deleteTDevHoseBoxById(Long id);
}
